[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# SoundexWord

Calculate a word-sized soundex value

## Declaration

Source position: strutils.pp line 122

`function SoundexWord(`
`const AText: string`
`):Word;`

## Arguments

`AText` |  | String to calculate soundex value of

## Function result

Soundex value as a word.

## Description

SoundexInt computes the Soundex code (with length 4) of AText, and converts the code to a word-sized value.

AText may not contain null characters.

## Errors

None.

## See also

Soundex |  | Compute the soundex of a string
SoundexCompare |  | Compare soundex values of 2 strings.
SoundexInt |  | Soundex value as an integer.
SoundexProc |  | Default AnsiResemblesText implementation.
SoundexSimilar |  | Check whether 2 strings have equal soundex values

Documentation generated on: Feb 26 2014